/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package priklad_enum;

/**
 *
 * @author Jelinek
 */
public enum Month {
    JAN(31,5),
    FEB(-1,3) {
    @Override
    public int days(int year) {
     return year % 4 == 0 ? 29 : 28;
    }
    },
    MAR(31,3), APR(30,3), MAY(31,3), JUN(30,5),
    JUL(31,3), AUG(31,1), SEP(30,5), OCT(31,4), NOV(30,5), DEC(31,3);
    private final int days; // hidden
    private final int ds; // hidden

    private Month(int days, int ds) {
        this.days = days;
        this.ds = ds;
    }    // konstructor

    public int days(int year) {
        return days;}
    public int ds(int year) {
        return ds;
    }

    public static int totalDays(int year) {
        return year % 4 == 0 ? 366 : 365;
    }
}

